#### Introduction

The page shows a gene set analysis table, and may have been generated by a variety of methods. But you're likely looking at gene sets with p values and false discovery rates (FDRs). 

##### Controls

###### Gene set types

For consistency the table only shows results for a single type of gene set (e.g. KEGG) by default. Gene set type filters allow you to select which type and, if you wish, to select one or more specific gene sets to view the results of. You may have to adjust p value/ FDR threshold to see results for your chosen gene set(s).

###### Differential gene sets

Self explanatory- use these filters to select gene sets by unadjusted p value or FDR.

###### Contrasts

For convenience, the significantly differential genes of the appropriate direction of change (calculated independently) are annotated to each gene set. As well as defining the contrast, the contrast filters allow you to define how those genes are selected by fold change p-value and adjusted p value (q value) thresholds. 

The default is to filter only on unadjusted p value. This is because you've already applied selection criteria at the gene-set level, and the individual genes serve mostly to to explain the signal of the gene set. Also, differeresntial expression from individual genes of a differential gene set can be quite subtle, so it makes sense to apply fairly relaxed thresholds at the gene level while investigating significant gene sets.

##### Links

Gene sets link through to a barcode plot illustrating the placement of the members of a gene set in the list of genes ranked by fold change. Individual genes link through to bar plots showing their expression.
